# Uses of Class
org.eclipse.ecf.remoteservice.client.AbstractClientContainer

Packages that use AbstractClientContainer
Package
Description
org.eclipse.ecf.remoteservice.client
org.eclipse.ecf.remoteservice.rest.client

## Uses of AbstractClientContainer in org.eclipse.ecf.remoteservice.client

Subclasses of AbstractClientContainer in org.eclipse.ecf.remoteservice.client
Modifier and Type
Class
Description
`class`
`AbstractRSAClientContainer`
Abstract client container for use by RSA distribution providers.
Fields in org.eclipse.ecf.remoteservice.client declared as AbstractClientContainer
Modifier and Type
Field
Description
`protected AbstractClientContainer`
AbstractClientService.`container`
Methods in org.eclipse.ecf.remoteservice.client that return AbstractClientContainer
Modifier and Type
Method
Description
`protected AbstractClientContainer`
AbstractClientService.`getClientContainer()`
Constructors in org.eclipse.ecf.remoteservice.client with parameters of type AbstractClientContainer
Modifier
Constructor
Description
``
`AbstractClientService(AbstractClientContainer container, RemoteServiceClientRegistration registration)`
``
`AbstractRSAClientService(AbstractClientContainer container, RemoteServiceClientRegistration registration)`
``
`RemoteServiceClientRegistry(AbstractClientContainer container)`

## Uses of AbstractClientContainer in org.eclipse.ecf.remoteservice.rest.client

Subclasses of AbstractClientContainer in org.eclipse.ecf.remoteservice.rest.client
Modifier and Type
Class
Description
`class`
`AbstractRestClientContainer`
`class`
`RestClientContainer`
A container for REST services.
Constructors in org.eclipse.ecf.remoteservice.rest.client with parameters of type AbstractClientContainer
Modifier
Constructor
Description
``
`AbstractRestClientService(AbstractClientContainer container, RemoteServiceClientRegistration registration)`